<div class="col">
    <div class="card mb-4">
        <div class="card-contents">
            <img src="{{game.photoUrl}}" alt="{{game.name}}" class="card-img-top">
            <div class="card-body">
                <div class="row mb-4 align-items-center">
                    <div class="col-sm-8">
                        <p class="card-text display-6">{{game.price}}</p>
                    </div>
                    <div class="col-sm-4 justify-content-center">
                        <div class="row">
                            <button type="button" class="btn btn-success">BUY</button>
                        </div>
                    </div>

                </div>
                <p class="card-text">{{getAllGenres()}}</p>
                <a class="card-text text-decoration-none text-white"
                    [routerLink]="['/games', 'view', game.id]"><strong>{{game.name}}</strong></a>
            </div>
        </div>
        <div class="card-hover">
            <div class="card-hover-inner">
                <div class="col mb-4">
                    <a class="text-decoration-none d-flex align-items-center"
                        [routerLink]="['/games', 'view' ,game.id]">
                        <div class="col-3 me-3">
                            <fa-icon [icon]="faInfo" size="3x" class="ms-3" [styles]="{'color': 'black'}">
                            </fa-icon>
                        </div>
                        <div>
                            <h4 class="text-dark card-hover-text">View Game</h4>
                        </div>
                    </a>
                </div>
                <div class="col mb-4">
                    <a class="text-decoration-none text-dark d-flex align-items-center"
                        [routerLink]="['/games', 'edit', game.id]">
                        <div class="col-3 me-3">
                            <fa-icon [icon]="faPencil" size="3x" [styles]="{'color': 'black'}">
                            </fa-icon>
                        </div>
                        <div>
                            <h4 class="text-dark card-hover-text">Edit Game</h4>
                        </div>
                    </a>
                </div>
                <div class="col">
                    <a class="text-decoration-none text-dark d-flex align-items-center" (click)="openModal(template)">
                        <div class="col-3 me-3">
                            <fa-icon [icon]="faTrash" size="3x" [styles]="{'color': 'black'}">
                            </fa-icon>
                        </div>
                        <div>
                            <h4 class="text-dark card-hover-text">Delete Game</h4>
                        </div>
                        <ng-template #template>
                            <div class="modal-body text-center">
                                <p class="text-dark mb-3">Do you want to delete {{game.name}}?</p>
                                <button type="button" class="btn btn-success me-3" (click)="confirm()">Yes</button>
                                <button type="button" class="btn btn-warning" (click)="decline()">No</button>
                            </div>
                        </ng-template>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>